(define (problem Tankers2Tanks2)
    (:domain Oil_Supply_Domain)
    (:objects
      cl1 - Class_of_Crude_Oil
      cl3 - Class_of_Crude_Oil
      cl4 - Class_of_Crude_Oil
      cl5 - Class_of_Crude_Oil
      cl6 - Class_of_Crude_Oil
      oc05 - Type_of_Crude_Oil
      oc08 - Type_of_Crude_Oil
      oc27 - Type_of_Crude_Oil
      oc38 - Type_of_Crude_Oil
      Front_Brea - Oil_Tanker
      Reboucas - Oil_Tanker
      Pedreiras - Oil_Tanker
      GEBAST - Port
      P1 - Pier
      P2 - Pier
      TQ3239 - Tank
      TQ3243 - Tank
      TQ3241 - Tank
      TQ3237 - Tank
      TQ3234 - Tank
      OSVAT - Pipeline
      Muriae - Oil_Tanker
      Vergina_II - Oil_Tanker
      North_Star - Oil_Tanker
      Presidente - Oil_Tanker
      oc01 - Type_of_Crude_Oil
      oc26 - Type_of_Crude_Oil
      oc29 - Type_of_Crude_Oil
      P3 - Pier
      P4 - Pier
      TQ3235 - Tank
      TQ3244 - Tank
      TQ3240 - Tank
      TQ3242 - Tank
      TQ3238 - Tank
    )
    (:init
      (is_at TQ3234 GEBAST)
      (has_one_end_at OSVAT GEBAST)
      (composed_by cl1 oc05)
      (composed_by cl3 oc05)
      (is_at TQ3237 GEBAST)
      (belongs_to P2 GEBAST)
      (belongs_to P1 GEBAST)
      (pierFree P1)
      (= (maxCapacity P1) 1)
      (cl TQ3234 cl1)
      (= (currentVol TQ3234) 30000)
      (= (minVol TQ3234) 10000)
      (= (maxVol TQ3234) 70000)
      (= (decantingTime TQ3234) 24)
      (pipelineFree OSVAT)
      (lastOil OSVAT cl3)
      (atPort Reboucas GEBAST)
      (= (inventory Reboucas oc05) 100000)
      (= (tankerCapacity Reboucas) 1)
      (= (dockingTime Reboucas) 2)
      (= (undockingTime Reboucas) 2)
      (= (totalInterfaceCost) 0)
      (= (totalLossAtPort) 0)
      (= (totalLossAtRefinery) 0)
      (= (totalNumberOfTimeActions) 0)
      (= (domainMetric) 0)
      (= (wIC) 1)
      (= (wLP) 1)
      (= (wLR) 1)
      (= (wNA) 1)
      (= (maxClassValue) 110)
      (= (valueAtRefinery cl1 OSVAT) 10)
      (= (valueAtPort cl1) 10)
      (= (interfaceCosts cl1 cl1) 0)
      (= (interfaceCosts cl1 cl3) 10)
      (= (interfaceCosts cl1 cl4) 10)
      (= (interfaceCosts cl1 cl5) 10)
      (= (interfaceCosts cl1 cl6) 10)
      (= (classFlowRate cl1) 3000)
      (= (oilFlowRate oc05) 6000)
      (= (valueAtRefinery cl3 OSVAT) 100)
      (= (valueAtPort cl3) 100)
      (= (interfaceCosts cl3 cl1) 10)
      (= (interfaceCosts cl3 cl3) 0)
      (= (interfaceCosts cl3 cl4) 10)
      (= (interfaceCosts cl3 cl5) 10)
      (= (interfaceCosts cl3 cl6) 10)
      (= (classFlowRate cl3) 3000)
      (= (volumeNeeded) 100000)
      (= (volumeSent) 0)
      (atPort Front_Brea GEBAST)
      (= (inventory Front_Brea oc05) 100000)
      (= (tankerCapacity Front_Brea) 1)
      (= (dockingTime Front_Brea) 2)
      (= (undockingTime Front_Brea) 2)
      (cl TQ3237 cl3)
      (= (currentVol TQ3237) 55000)
      (= (minVol TQ3237) 10000)
      (= (maxVol TQ3237) 70000)
      (= (decantingTime TQ3237) 24)
      (pierFree P2)
      (= (maxCapacity P2) 1)
    )
    (:goal
      (and
        (not (docked Reboucas))
        (= (inventory Reboucas oc05) 0)
        (not (docked Front_Brea))
        (= (inventory Front_Brea oc05) 0)
      )
    )
)
