(define (problem Tankers7Tanks10)
    (:domain Oil_Supply_Domain)
    (:objects
      cl1 - Class_of_Crude_Oil
      cl3 - Class_of_Crude_Oil
      cl4 - Class_of_Crude_Oil
      cl5 - Class_of_Crude_Oil
      cl6 - Class_of_Crude_Oil
      oc05 - Type_of_Crude_Oil
      oc08 - Type_of_Crude_Oil
      oc27 - Type_of_Crude_Oil
      oc38 - Type_of_Crude_Oil
      Front_Brea - Oil_Tanker
      Reboucas - Oil_Tanker
      Pedreiras - Oil_Tanker
      GEBAST - Port
      P1 - Pier
      P2 - Pier
      TQ3239 - Tank
      TQ3243 - Tank
      TQ3241 - Tank
      TQ3237 - Tank
      TQ3234 - Tank
      OSVAT - Pipeline
      Muriae - Oil_Tanker
      Vergina_II - Oil_Tanker
      North_Star - Oil_Tanker
      Presidente - Oil_Tanker
      oc01 - Type_of_Crude_Oil
      oc26 - Type_of_Crude_Oil
      oc29 - Type_of_Crude_Oil
      P3 - Pier
      P4 - Pier
      TQ3235 - Tank
      TQ3244 - Tank
      TQ3240 - Tank
      TQ3242 - Tank
      TQ3238 - Tank
    )
    (:init
      (is_at TQ3234 GEBAST)
      (is_at TQ3241 GEBAST)
      (is_at TQ3237 GEBAST)
      (is_at TQ3239 GEBAST)
      (belongs_to P1 GEBAST)
      (belongs_to P2 GEBAST)
      (has_one_end_at OSVAT GEBAST)
      (composed_by cl1 oc05)
      (composed_by cl1 oc08)
      (composed_by cl1 oc38)
      (composed_by cl3 oc05)
      (composed_by cl3 oc08)
      (composed_by cl4 oc05)
      (composed_by cl4 oc27)
      (composed_by cl5 oc27)
      (composed_by cl5 oc05)
      (composed_by cl6 oc05)
      (composed_by cl6 oc27)
      (composed_by cl6 oc38)
      (composed_by cl3 oc26)
      (composed_by cl4 oc26)
      (composed_by cl5 oc26)
      (composed_by cl1 oc01)
      (composed_by cl3 oc01)
      (composed_by cl4 oc01)
      (composed_by cl5 oc01)
      (composed_by cl6 oc01)
      (composed_by cl3 oc29)
      (belongs_to P3 GEBAST)
      (belongs_to P4 GEBAST)
      (is_at TQ3243 GEBAST)
      (is_at TQ3235 GEBAST)
      (is_at TQ3238 GEBAST)
      (is_at TQ3244 GEBAST)
      (is_at TQ3240 GEBAST)
      (is_at TQ3242 GEBAST)
      (pierFree P1)
      (= (maxCapacity P1) 2)
      (pierFree P2)
      (= (maxCapacity P2) 1)
      (cl TQ3239 cl4)
      (= (currentVol TQ3239) 49997)
      (= (minVol TQ3239) 9654)
      (= (maxVol TQ3239) 77355)
      (= (decantingTime TQ3239) 24)
      (cl TQ3241 cl5)
      (= (currentVol TQ3241) 69524)
      (= (minVol TQ3241) 11370)
      (= (maxVol TQ3241) 73745)
      (= (decantingTime TQ3241) 24)
      (cl TQ3237 cl3)
      (= (currentVol TQ3237) 18232)
      (= (minVol TQ3237) 10457)
      (= (maxVol TQ3237) 73077)
      (= (decantingTime TQ3237) 24)
      (cl TQ3234 cl1)
      (= (currentVol TQ3234) 13570)
      (= (minVol TQ3234) 9766)
      (= (maxVol TQ3234) 77329)
      (= (decantingTime TQ3234) 24)
      (pipelineFree OSVAT)
      (lastOil OSVAT cl1)
      (atPort Front_Brea GEBAST)
      (= (inventory Front_Brea oc05) 106000)
      (= (tankerCapacity Front_Brea) 1)
      (= (dockingTime Front_Brea) 2)
      (= (undockingTime Front_Brea) 2)
      (atPort Reboucas GEBAST)
      (= (inventory Reboucas oc38) 30000)
      (= (tankerCapacity Reboucas) 0)
      (= (dockingTime Reboucas) 2)
      (= (undockingTime Reboucas) 2)
      (atPort Pedreiras GEBAST)
      (= (inventory Pedreiras oc08) 38000)
      (= (inventory Pedreiras oc27) 20000)
      (= (tankerCapacity Pedreiras) 0)
      (= (dockingTime Pedreiras) 2)
      (= (undockingTime Pedreiras) 2)
      (= (valueAtRefinery cl1 OSVAT) 0.1352201)
      (= (valueAtPort cl1) 0.1298113)
      (= (interfaceCosts cl1 cl1) 0)
      (= (interfaceCosts cl1 cl3) 1.57235)
      (= (interfaceCosts cl1 cl4) 0.62895)
      (= (interfaceCosts cl1 cl5) 1.57235)
      (= (interfaceCosts cl1 cl6) 0.9434)
      (= (classFlowRate cl1) 4470)
      (= (valueAtRefinery cl3 OSVAT) 0.1320755)
      (= (valueAtPort cl3) 0.1267925)
      (= (interfaceCosts cl3 cl1) 1.57235)
      (= (interfaceCosts cl3 cl3) 0)
      (= (interfaceCosts cl3 cl4) 0.94335)
      (= (interfaceCosts cl3 cl5) 3.14465)
      (= (interfaceCosts cl3 cl6) 2.51570)
      (= (classFlowRate cl3) 4390)
      (= (valueAtRefinery cl4 OSVAT) 0.1339622)
      (= (valueAtPort cl4) 0.1286037)
      (= (interfaceCosts cl4 cl1) 0.62895)
      (= (interfaceCosts cl4 cl3) 0.94335)
      (= (interfaceCosts cl4 cl4) 0)
      (= (interfaceCosts cl4 cl5) 2.20130)
      (= (interfaceCosts cl4 cl6) 1.57235)
      (= (classFlowRate cl4) 4429)
      (= (valueAtRefinery cl5 OSVAT) 0.1383648)
      (= (valueAtPort cl5) 0.1320755)
      (= (interfaceCosts cl5 cl1) 1.57235)
      (= (interfaceCosts cl5 cl3) 3.14465)
      (= (interfaceCosts cl5 cl4) 2.20130)
      (= (interfaceCosts cl5 cl5) 0)
      (= (interfaceCosts cl5 cl6) 0.62895)
      (= (classFlowRate cl5) 4447)
      (= (valueAtRefinery cl6 OSVAT) 0.1371069)
      (= (valueAtPort cl6) 0.1316227)
      (= (interfaceCosts cl6 cl1) 0.94340)
      (= (interfaceCosts cl6 cl3) 2.51570)
      (= (interfaceCosts cl6 cl4) 1.57235)
      (= (interfaceCosts cl6 cl5) 0.62895)
      (= (interfaceCosts cl6 cl6) 0)
      (= (classFlowRate cl6) 4511)
      (= (oilFlowRate oc05) 7299)
      (= (oilFlowRate oc08) 6761)
      (= (oilFlowRate oc27) 6478)
      (= (oilFlowRate oc38) 7044)
      (= (totalInterfaceCost) 0)
      (= (totalLossAtPort) 0)
      (= (totalLossAtRefinery) 0)
      (= (totalNumberOfTimeActions) 0)
      (= (domainMetric) 0)
      (= (wIC) 1)
      (= (wLP) 0.003)
      (= (wLR) 0.003)
      (= (wNA) 1)
      (= (maxClassValue) 0.1371069)
      (= (volumeNeeded) 0)
      (= (volumeSent) 0)
      (= (tankerCapacity Muriae) 1)
      (= (inventory Muriae oc01) 120000)
      (atPort Muriae GEBAST)
      (= (dockingTime Muriae) 2)
      (= (undockingTime Muriae) 2)
      (= (tankerCapacity Vergina_II) 1)
      (= (inventory Vergina_II oc38) 92000)
      (atPort Vergina_II GEBAST)
      (= (dockingTime Vergina_II) 2)
      (= (undockingTime Vergina_II) 2)
      (= (tankerCapacity North_Star) 2)
      (= (inventory North_Star oc26) 135000)
      (atPort North_Star GEBAST)
      (= (dockingTime North_Star) 2)
      (= (undockingTime North_Star) 2)
      (= (tankerCapacity Presidente) 1)
      (= (inventory Presidente oc29) 110000)
      (atPort Presidente GEBAST)
      (= (dockingTime Presidente) 2)
      (= (undockingTime Presidente) 2)
      (= (oilFlowRate oc01) 6818)
      (= (oilFlowRate oc26) 6400)
      (= (oilFlowRate oc29) 6478)
      (= (maxCapacity P3) 1)
      (pierFree P3)
      (= (maxCapacity P4) 0)
      (pierFree P4)
      (cl TQ3243 cl6)
      (= (currentVol TQ3243) 40513)
      (= (minVol TQ3243) 10819)
      (= (maxVol TQ3243) 72589)
      (= (decantingTime TQ3243) 24)
      (= (maxVol TQ3235) 77224)
      (= (minVol TQ3235) 9282)
      (= (currentVol TQ3235) 9858)
      (cl TQ3235 cl1)
      (= (decantingTime TQ3235) 24)
      (= (maxVol TQ3244) 72589)
      (= (minVol TQ3244) 10819)
      (= (currentVol TQ3244) 40513)
      (cl TQ3244 cl6)
      (= (decantingTime TQ3244) 24)
      (= (maxVol TQ3240) 73352)
      (= (minVol TQ3240) 11433)
      (= (currentVol TQ3240) 60629)
      (cl TQ3240 cl4)
      (= (decantingTime TQ3240) 24)
      (= (maxVol TQ3242) 72718)
      (= (minVol TQ3242) 9137)
      (= (currentVol TQ3242) 11385)
      (cl TQ3242 cl5)
      (= (decantingTime TQ3242) 24)
      (= (maxVol TQ3238) 33495)
      (= (minVol TQ3238) 3235)
      (= (currentVol TQ3238) 31001)
      (cl TQ3238 cl3)
      (= (decantingTime TQ3238) 24)
    )
    (:goal
      (and
        (not (docked Front_Brea))
        (= (inventory Front_Brea oc05) 0)
        (not (docked Reboucas))
        (= (inventory Reboucas oc38) 0)
        (not (docked Pedreiras))
        (= (inventory Pedreiras oc27) 0)
        (= (inventory Pedreiras oc08) 0)
        (= (inventory Muriae oc01) 0)
        (not (docked Muriae))
        (= (inventory Vergina_II oc38) 0)
        (not (docked Vergina_II))
        (= (inventory North_Star oc26) 0)
        (not (docked North_Star))
        (= (inventory Presidente oc29) 0)
        (not (docked Presidente))
      )
    )
    (:metric minimize (domainMetric))
)
