(define (problem ManyMachinesProblem)
    (:domain ManufaturingPlantDomain_v1)
    (:objects
      M1 - Machine
      M2 - Machine
      P1 - Product
      A1 - Attribute
      D1 - Machine
      D2 - Machine
      M3 - Machine
      M4 - Machine
      M5 - Machine
      M6 - Machine
      D3 - Machine
      D4 - Machine
      D5 - Machine
      A3 - Attribute
      A4 - Attribute
      A5 - Attribute
      A6 - Attribute
      P2 - Product
      A2 - Attribute
      D6 - Machine
      P3 - Product
      P4 - Product
      P5 - Product
    )
    (:init
      (at P1 D1)
      (connected D1 M1)
      (produces M1 A1)
      (connected M2 D3)
      (connected D3 M3)
      (connected M4 D4)
      (connected M3 M4)
      (connected D4 M5)
      (connected M5 D5)
      (connected D5 M6)
      (produces M5 A5)
      (produces M6 A6)
      (produces M3 A3)
      (produces M4 A4)
      (connected M1 D2)
      (connected D2 M2)
      (connected D1 M4)
      (connected D2 M3)
      (connected M3 D4)
      (connected M4 M6)
      (sort M1 ismachine)
      (ready M1)
      (sort M2 ismachine)
      (ready M2)
      (sort D1 isoutput)
      (ready D1)
      (sort D3 isoutput)
      (ready D3)
      (sort M3 ismachine)
      (ready M3)
      (sort M4 ismachine)
      (ready M4)
      (sort D4 isoutput)
      (ready D4)
      (sort M5 ismachine)
      (ready M5)
      (sort D5 isoutput)
      (ready D5)
      (sort M6 ismachine)
      (ready M6)
      (sort D2 isoutput)
      (ready D2)
    )
    (:goal
      (and
        (hasAttribute P1 A4)
        (hasAttribute P1 A6)
      )
    )
)
