(define (problem TwoAttributes)
    (:domain ManufaturingPlantDomain_v1)
    (:objects
      M1 - Machine
      M2 - Machine
      P1 - Product
      A1 - Attribute
      D1 - Machine
      D2 - Machine
      M3 - Machine
      M4 - Machine
      M5 - Machine
      M6 - Machine
      D3 - Machine
      D4 - Machine
      D5 - Machine
      A3 - Attribute
      A4 - Attribute
      A5 - Attribute
      A6 - Attribute
      P2 - Product
      A2 - Attribute
      D6 - Machine
      P3 - Product
      P4 - Product
      P5 - Product
    )
    (:init
      (connected M1 M2)
      (at P1 D1)
      (connected D1 M1)
      (connected M2 D2)
      (produces M1 A1)
      (produces M1 A2)
      (sort M1 ismachine)
      (ready M1)
      (sort M2 ismachine)
      (ready M2)
      (sort D1 isoutput)
      (ready D1)
      (sort D2 isoutput)
      (ready D2)
    )
    (:goal
      (and
        (hasAttribute P1 A1)
        (hasAttribute P1 A2)
      )
    )
)
